Bug 230831 - Review Request: games-menus - Catagorized submenus for the GNOME/KDE Games menu
Review Request: games-menus - Catagorized submenus for the GNOME/KDE Games menu
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-03 04:54 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-10 05:14:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mr.ecik: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)
Polish translation patch (2.36 KB, patch)
2007-03-05 13:45 EST, Michał Bentkowski
no flags Details | Diff
Italian translation (861 bytes, patch)
2007-03-06 10:02 EST, Andrea Musuruane
no flags Details | Diff

  None (edit)
Description Hans de Goede 2007-03-03 04:54:06 EST
Spec URL: http://people.atrpms.net/~hdegoede/games-menus.spec
SRPM URL: http://people.atrpms.net/~hdegoede/games-menus-0.1-1.fc7.src.rpm
Description:
Catagorized submenus for the GNOME/KDE Games menu, for better usuability of the
games menu with lots of games installed.

---

I'll send a mail with some more info on this to the fedora-games list shortly.
Comment 1 Michał Bentkowski 2007-03-04 07:25:22 EST
** Package should own %{_datadir}/desktop-directories directory since it will 
remain unowned if someone doesn't have gnome-menus nor kdebase installed

** rpmlint complains don't look important

** The much more important thing for me would be translating this package. In 
my opinion we should try to make translations as many as it's possible, because 
it doesn't look fine if I have some categories in Polish and the rest in 
English.

** Is there anything we shall do with URL tag? Maybe we could put your last 
fedora-games-list mail somewhere on the wiki and link to it, couldn't we?
Comment 2 Hans de Goede 2007-03-05 07:14:37 EST
(In reply to comment #1)
> ** Package should own %{_datadir}/desktop-directories directory since it will 
> remain unowned if someone doesn't have gnome-menus nor kdebase installed
> 

Good point, will fix.

> ** The much more important thing for me would be translating this package. In 
> my opinion we should try to make translations as many as it's possible, because 
> it doesn't look fine if I have some categories in Polish and the rest in 
> English.
> 

Agreed, feel free to send a patch with Polish translations, if all reading this
translate it into their native language, then others will have to follow over time.

> ** Is there anything we shall do with URL tag? Maybe we could put your last 
> fedora-games-list mail somewhere on the wiki and link to it, couldn't we?

Good idea, I could change the link to:
https://www.redhat.com/archives/fedora-games-list/2007-March/msg00003.html
Comment 3 Hans de Goede 2007-03-05 07:22:35 EST
For anyone interested in reviewing this, see:
https://www.redhat.com/archives/fedora-games-list/2007-March/msg00003.html

For a lot more info on this. So anyone interested in reviewing this?
Comment 4 Michał Bentkowski 2007-03-05 13:45:30 EST
Created attachment 149278 [details]
Polish translation patch

Polish translations of all untranslated categories.
Comment 5 Michał Bentkowski 2007-03-05 13:51:54 EST
(In reply to comment #3)
> For a lot more info on this. So anyone interested in reviewing this?
> 

I'm interested in reviewing if you fix things I mentioned above. Also I think 
that we can get rid of rpmlint no-documentation warning by including https://
www.redhat.com/archives/fedora-games-list/2007-March/msg00003.html as a README.
Comment 6 Wart 2007-03-05 14:04:20 EST
Is there a plan to get this integrated into the gnome-menus (redhat-menus?)
and/or kde-menus(?) packages?  In the long term that seems like the right place
to put these menus.
Comment 7 Hans de Goede 2007-03-05 14:22:13 EST
(In reply to comment #5)
> (In reply to comment #3)
> > For a lot more info on this. So anyone interested in reviewing this?
> > 
> 
> I'm interested in reviewing if you fix things I mentioned above. Also I think 
> that we can get rid of rpmlint no-documentation warning by including https://
> www.redhat.com/archives/fedora-games-list/2007-March/msg00003.html as a README.

Okay, I usually wait for a complete review (which most of the times turns up
more things to fix) and then fix everything in one go, but if you want a fixed
version first let me know and I'll create a version with the things mentioned
sofar fixed.

(In reply to comment #6)
> Is there a plan to get this integrated into the gnome-menus (redhat-menus?)
> and/or kde-menus(?) packages?  In the long term that seems like the right place
> to put these menus.

Well for people who do not install a gazillion games this isn't needed, and I
foresee huge resistance to making this a standard part of xxx-menus . So I'm not
going todo that, but if someone else wants to try I won't stop him :)
Comment 8 Andrea Musuruane 2007-03-05 14:51:33 EST
What about following this article for translations? Wouldn't it be easier to
maintain?

http://www.redhat.com/magazine/013nov05/features/freedesktop/

I hope it is still actual though.

Andrea.
Comment 9 Hans de Goede 2007-03-06 07:18:28 EST
The idea of translating .desktop files like this, is that you can then generate
one .po(t) file for your entire application, so for both translation of strings
in c-code and in other places. So that the translaters have a single po file to
work with.

Since all we have is a few .directory files I think this is overkill, just
straight editing is way easier IMHO.
Comment 10 Andrea Musuruane 2007-03-06 10:02:50 EST
Created attachment 149339 [details]
Italian translation

Here there is the Italian translation for the menus.

Andrea.
Comment 11 Michał Bentkowski 2007-03-07 12:25:38 EST
REVIEW
** Tarball contains license text so include it into package

** Package should require hicolor-icon-theme or own %{_datadir}/icons/hicolor

** rpmlint louds:
W: games-menus no-documentation
W: games-menus non-conffile-in-etc /etc/xdg/menus/applications-merged/games-
categories.menu

Apart from COPYING, you can also include one of your last fedora-games-list 
mails as a README (but only a license is MUST)
We can safely omit the second warning.

And the things I've written about before. Change URL tag, own %{_datadir}/
desktop-directories etc.
Also, if "sources" aren't available anywhere, add a comment that we're an 
upstream to clarify things.
Comment 12 Hans de Goede 2007-03-09 10:15:45 EST
All fixed, thanks for the translations!

Spec URL: http://people.atrpms.net/~hdegoede/games-menus.spec
SRPM URL: http://people.atrpms.net/~hdegoede/games-menus-0.2-1.fc7.src.rpm

Comment 13 Michał Bentkowski 2007-03-09 13:57:44 EST
Everything looks fine for me. Approved.
Comment 14 Hans de Goede 2007-03-09 14:01:20 EST
New Package CVS Request
=======================
Package Name:      games-menus
Short Description: Catagorized submenus for the GNOME/KDE Games menu
Owners:            j.w.r.degoede@hhs.nl
Branches:          FC-6 devel
InitialCC:         <empty>

Comment 15 Hans de Goede 2007-03-10 05:14:53 EST
Thanks for the review!

Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.